%define	name	linpopup
%define	version	2.1.0
%define	release	%mkrel 3

%define	Summary	Linux enhanced port of Winpopup
%define	title		LinPopUp
%define	section	Networking/Chat
%define	iconname	linpopup.png

Summary: 	%Summary
Name: 		%name
Version: 		%version
Release:		%release
License:		GPL
Group: 		Networking/Chat
Source:		%{name}-%{version}.tar.bz2
Source1:		%{iconname}
BuildRoot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	libgtk+2.0-devel libxmu6-devel
Requires:		libgtk+2.0 libxmu6
Requires:		samba-client samba-server
URL: 		http://linpopup2.sourceforge.net
Packager:		Stumpy842

%description
Xwindow graphical port of Winpopup, running over Samba.
Permits to communicate with a windows computer that runs Winpopup,
sending or receiving message. Also provides an alternative way
to communicate between Linux computers that run Samba.

%prep
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%{configure} --prefix=%{_prefix}
%{__make} %{?_smp_mflags} %{?mflags}

%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/applications
cat >$RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%title
Comment=%Summary
Exec=%name
Icon=%iconname
Terminal=false
Type=Application
Categories=Network;X-Mandrakelinux-Internet-Chat;IRCClient;GTK;
EOF

# icon
%__mkdir_p %{buildroot}%{_iconsdir}
%__install -m 644 %SOURCE1 %{buildroot}%{_iconsdir}/%iconname
%__mkdir_p %{buildroot}%{_datadir}/pixmaps
%__install -m 644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps/%iconname

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_desktop_database}

echo "*IMPORTANT*"
echo "-----------"
echo "You will need to edit the file /etc/samba/smb.conf"
echo "(as root) and add the following message command"
echo "to the [global] section:"
echo
echo 'message command = %{_bindir}/linpopup "%f" "%m" %s'
echo
echo "See the file %{_defaultdocdir}/%{name}-%{version}/INSTALL"
echo "for more detailed information."

%postun
/sbin/ldconfig
%{clean_desktop_database}

[ -d "%{_localstatedir}/linpopup" ] && rm -rf "%{_localstatedir}/linpopup" || true
[ -d "%{_datadir}/linpopup" ] && rm -rf "%{_datadir}/linpopup" || true

echo "*IMPORTANT*"
echo "-----------"
echo "You will need to edit the file /etc/samba/smb.conf"
echo "(as root) and comment out the message command"
echo "in the [global] section:"
echo
echo '# message command = /usr/bin/linpopup "%f" "%m" %s'

%files
%defattr(-, root, root)
%{_bindir}/LinPopUp
%{_bindir}/linpopup
%{_datadir}/linpopup/gtkrc
%{_datadir}/linpopup/pixmaps/linpopup_tray.xpm
%{_datadir}/linpopup/pixmaps/little_igloo.xpm
%{_datadir}/locale/de/LC_MESSAGES/linpopup.mo
%{_datadir}/locale/fr/LC_MESSAGES/linpopup.mo
%{_datadir}/locale/nl/LC_MESSAGES/linpopup.mo
%{_datadir}/locale/ru/LC_MESSAGES/linpopup.mo
%{_mandir}/man1/LinPopUp.1.bz2
%{_mandir}/man1/linpopup.1.bz2
%{_localstatedir}/linpopup/messages.dat
%{_iconsdir}/%{iconname}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{iconname}

%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO

%changelog
* Sat Nov 3 2007 Stumpy842 <stump842@gmail.com> 2.1.0-3pclos_tinyme2007
- added update_desktop_database to post install
- added clean_desktop_database to post uninstall
- added post uninstall instructions
- changed occurences of %{_var}/lib to %{_localstatedir}

* Thu Oct 4 2007 Stumpy842 <stump842@gmail.com> 2.1.0-2pclos_tinyme2007
- added requires for samba-client and samba-server
- added post install instructions

* Sun Sep 30 2007 Stumpy842 <stump842@gmail.com> 2.1.0-1pclos_tinyme2007
- rebuild for pclos2007
